GET /call_control_actions/new

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/call_control_actions/new

Build Call Action with defaults.

Return a blank Call Action populated with default attribute values, useful for building a create form.

Params

Param name Description
system_status
Optional Blank value allowed

System Status

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

key
Optional Blank value allowed

Key

  • Must be a String

name
Optional Blank value allowed

Name

  • Must be a String

text_color
Optional Blank value allowed

Text Color

  • Must be a String

background_color
Optional Blank value allowed

Background Color

  • Must be a String

font_size
Optional Blank value allowed

Font Size

  • Must be a decimal number.

text_shadow_color
Optional Blank value allowed

Text Shadow Color

  • Must be a String

record_token_additional_id
Optional Blank value allowed

Record Token Additional

  • Must be a String

attribution_token_value_ids
Optional Blank value allowed

Attribution Token Value Ids

  • Must be a decimal number.

filter_group_id
Optional Blank value allowed

Filter Group

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

external_record_id
Optional Blank value allowed

An external identifier to associate with this Call Action.

  • Must be a String

require_live_caller
Optional Blank value allowed

When enabled, this action is only available while the caller is still on the line.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

message_type
Optional Blank value allowed

How the whisper message is delivered. Accepts speak (text to speech) or a sound file playlist.

  • Must be a String

text_to_speech
Optional Blank value allowed

The text spoken to whoever this action whispers to, used when message_type is speak. Token replacement is supported.

  • Must be a String

whisper_sound_playlist_enabled
Optional Blank value allowed

When enabled, plays a whisper message when an agent clicks this action.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

whisper_sound_playlist_id
Optional Blank value allowed

The Sound Playlist to whisper from, used when message_type is not speak.

whisper_sound_playlist_target
Optional Blank value allowed

Who hears the whisper message. Accepts agent, consumer, buyer, or a combination.

  • Must be a String

stop_whisper_sound_playlist
Optional Blank value allowed

When enabled, clicking this action stops any audio currently playing on the call instead of whispering a message.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

record_token_additional_list
Optional Blank value allowed

Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"